Groovy Documentation

## org.codehaus.groovy.runtime
[Java] Class ScriptReference

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Reference
              org.codehaus.groovy.runtime.ScriptReference

    public class ScriptReference
    extends Reference

Represents a reference to a variable in a script

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`ScriptReference(Script script, java.lang.String variable)`

Method Summary
`java.lang.Object` | `get()`
`void` | `set(java.lang.Object value)`

Methods inherited from class Reference
get, getProperty, invokeMethod, set, setProperty

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ScriptReference

    public ScriptReference(Script script, java.lang.String variable)

Method Detail

### get

    public java.lang.Object get()

### set

    public void set(java.lang.Object value)

Groovy Documentation